summaryrefslogtreecommitdiffstats
path: root/sanity/system_light/scripts/fsx_test.sh
diff options
context:
space:
mode:
Diffstat (limited to 'sanity/system_light/scripts/fsx_test.sh')
-rwxr-xr-xsanity/system_light/scripts/fsx_test.sh21
1 files changed, 21 insertions, 0 deletions
diff --git a/sanity/system_light/scripts/fsx_test.sh b/sanity/system_light/scripts/fsx_test.sh
new file mode 100755
index 0000000..8cf5fe8
--- /dev/null
+++ b/sanity/system_light/scripts/fsx_test.sh
@@ -0,0 +1,21 @@
+#!/bin/bash
+
+#performs read,write operations on the given file and tests the performance
+
+function main ()
+{
+ cp $FSX_FILE_ORIG $FSX_FILE
+
+ echo "start:`date +%T`"
+ time fsx -R -W -N $NUM_OPS $FSX_FILE 2>>$LOG_FILE 1>>$LOG_FILE
+
+ if [ $? -ne 0 ]; then
+ echo "end:`date +%T`"
+ return 11;
+ else
+ echo "end:`date +%T`"
+ return 0;
+ fi
+}
+
+main "$@"; \ No newline at end of file